This page was not yet optimized for use on mobile devices.
BlackBerry Cryptographic Java Module
Certificate details
| Certificate ID | #1765 |
|---|---|
| Status | historical |
| Historical reason | RNG SP800-131A Revision 1 Transition |
| Validation dates | 31.07.2012 , 10.10.2012 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Description | BlackBerry® is the leading wireless enterprise solution that allows users to stay connected with secure, wireless access to email, corporate data, phone, web and organizer features. BlackBerry® is a totally integrated package that includes hardware, software and service, providing a complete end-to-end solution. The BlackBerry® Cryptographic Java Module is a software module that provides cryptographic services to BlackBerry® products such as the BlackBerry® PlayBook Administration Service, and other BlackBerry® products. |
| Tested configurations |
|
| Vendor | Research In Motion Ltd. http://www.rim.com |
| Lab | EWA - Canada |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, TDES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECIES, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5Schemes
Key AgreementRandomness
DRBG, RNGBlock cipher modes
ECB, CBC, CTR, GCM, CCMSecurity level
Level 1Side-channel analysis
DPA, SPA, Timing attack, Timing Attack, timing attacks, Bleichenbacher attackStandards
FIPS 140-2, FIPS 197, FIPS 180-2, FIPS 198, FIPS 186-2, FIPS PUB 140-2, NIST SP 800-90, NIST SP 800-56A, NIST SP 800-56B, PKCS1, PKCS #1, RFC 2268, RFC 1321, RFC 1115, RFC 2104Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 1765,
"dgst": "ac6a322dba52cae8",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#964",
"#687",
"KAS#8",
"DSA#455",
"#964",
"ECDSA#179",
"#773",
"#1281",
"SHS#1281",
"#455",
"HMAC#832",
"DRBG#52",
"AES#1411",
"RSA#687",
"#1411",
"#832",
"RNG#773",
"#52",
"#179"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 41,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 8
},
"ECIES": {
"ECIES": 2
}
},
"FF": {
"DH": {
"Diffie-Hellman": 19
},
"DSA": {
"DSA": 10
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"Key Agreement": 6
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"# 1281": 5,
"# 1411": 1,
"# 179": 1,
"# 455": 1,
"# 52": 1,
"# 687": 2,
"# 773": 1,
"# 8": 3,
"# 832": 5,
"# 964": 1,
"#1": 5
}
},
"fips_certlike": {
"Certlike": {
"DSA 11": 1,
"Diffie-Hellman 2": 1,
"Diffie-Hellman 3": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"HMACSHA-1": 1,
"PKCS #1": 8,
"PKCS1": 2,
"RSA PKCS #1": 2,
"RSA PKCS1": 2,
"SHA-1": 1,
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2,
"SHA1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 1,
"SHA1": 1
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 2
},
"RNG": {
"RNG": 9
}
},
"side_channel_analysis": {
"SCA": {
"DPA": 1,
"SPA": 1,
"Timing Attack": 1,
"Timing attack": 1,
"timing attacks": 1
},
"other": {
"Bleichenbacher attack": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 15,
"FIPS 180-2": 5,
"FIPS 186-2": 3,
"FIPS 197": 1,
"FIPS 198": 5,
"FIPS PUB 140-2": 6
},
"NIST": {
"NIST SP 800-56A": 4,
"NIST SP 800-56B": 2,
"NIST SP 800-90": 2
},
"PKCS": {
"PKCS #1": 5,
"PKCS1": 2
},
"RFC": {
"RFC 1115": 1,
"RFC 1321": 1,
"RFC 2104": 1,
"RFC 2268": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 7
}
},
"DES": {
"3DES": {
"TDES": 2,
"Triple-DES": 4
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 4,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#52",
"RSA#687",
"AES#1411",
"Triple-DES#964",
"KAS#8",
"DSA#455",
"RNG#773",
"SHS#1281",
"ECDSA#179",
"HMAC#832"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1411",
"#687",
"#832",
"#1281",
"#455",
"#964",
"#773",
"#52",
"#179"
]
},
"policy_metadata": {
"/Author": "Randy Eyamie",
"/CreationDate": "D:20120614113000-05\u002700\u0027",
"/Creator": "Neevia Document Converter 5.1.0",
"/Keywords": "FIPS, 140-2, Security Policy, validation, certification",
"/ModDate": "D:20120614144032-05\u002700\u0027",
"/Producer": "Neevia Document Converter 5.1",
"/Subject": "BlackBerry Tablet Cryptographic Kernel",
"/Title": "FIPS 140-2 Security Policy",
"pdf_file_size_bytes": 1870530,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.blackberry.com/",
"http://crypto.stanford.edu/~dabo/papers/ssl-timing.pdf",
"http://www.rim.com/",
"http://csrc.nist.gov/CryptoToolkit/tkdigsigs.html",
"mailto:[email protected]"
]
},
"pdf_is_encrypted": true,
"pdf_number_of_pages": 30
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "19ff4702180c8fac29cd0f2522fa327b0a11c112e59acc704623f19c8e07634d",
"source_hash": "e0f4fd2b05888984b0588ed75765950266722637077714dc79e8426f978f93ac",
"txt_hash": "a5672b9159c747cf03ed06035f55abe7fa1dcca1f4f9ecbb70443b7c955abcfc"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0019.pdf",
"date_sunset": null,
"description": "BlackBerry\u00ae is the leading wireless enterprise solution that allows users to stay connected with secure, wireless access to email, corporate data, phone, web and organizer features. BlackBerry\u00ae is a totally integrated package that includes hardware, software and service, providing a complete end-to-end solution. The BlackBerry\u00ae Cryptographic Java Module is a software module that provides cryptographic services to BlackBerry\u00ae products such as the BlackBerry\u00ae PlayBook Administration Service, and other BlackBerry\u00ae products.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": null,
"fw_versions": null,
"historical_reason": "RNG SP800-131A Revision 1 Transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "BlackBerry Cryptographic Java Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.8 and 2.8.7",
"tested_conf": [
"Red Hat Linux AS 5.5, 32-bit",
"Red Hat Linux AS 5.5, 64-bit",
"Solaris 10, 64-bit",
"Sun Java Runtime Environments (JRE) 1.5.0 and 1.6.0 running on [Solaris 10, 32-bit",
"Windows 2008 Server, 64-bit] (single-user mode)",
"Windows Vista, 32-bit",
"Windows Vista, 64-bit"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2012-07-31",
"lab": "EWA - Canada",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2012-10-10",
"lab": "EWA - Canada",
"validation_type": "Update"
}
],
"vendor": "Research In Motion Ltd.",
"vendor_url": "http://www.rim.com"
}
}